lxdream.org :: Issues
lxdream 0.9.1
released Jun 29
Download Now

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000024lxdreamHostpublic2007-01-15 15:542008-02-03 18:30
Reporternkeynes 
Assigned Tonkeynes 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionM1 
Target VersionFixed in VersionM2 
Summary0000024: Ability to dump scene info to a file, for later use in testing
DescriptionNeed to capture:
  * Object pointer data
  * Polygon data
  * Texture data
  * PVR2 register settings.

In other words, all relevant parts of VRAM + regs, but no more than required (to keep transfer size down). UI would need a "Capture next frame" option somewhere to set a flag for the core.

Also need a test program to load the data back in and display the frame.
TagsNo tags attached.
MilestoneM2
Attached Files

- Relationships

-  Notes
(0000017)
nkeynes (administrator)
2007-01-16 14:52

This is so amazingly useful that its implemented now. It doesn't walk the render data structure atm though, just dumps all of vram. That's sufficient for local testing but painfully slow for remote tests. Safe though
(0000020)
nkeynes (administrator)
2007-01-25 18:07

Leaving as is for now - safer to have all vram anyway

- Issue History
Date Modified Username Field Change
2007-01-15 15:54 nkeynes New Issue
2007-01-16 14:50 nkeynes Status new => assigned
2007-01-16 14:50 nkeynes Assigned To => nkeynes
2007-01-16 14:52 nkeynes Note Added: 0000017
2007-01-16 14:52 nkeynes Milestone => M2
2007-01-25 18:07 nkeynes Status assigned => resolved
2007-01-25 18:07 nkeynes Fixed in Version => M2
2007-01-25 18:07 nkeynes Resolution open => fixed
2007-01-25 18:07 nkeynes Note Added: 0000020
2008-02-03 18:30 nkeynes Status resolved => closed
.